#ifndef MONTECARLO_H
#define MONTECARLO_H

#include "simulation.h"

class MonteCarlo : public Simulation {
private:
    int _step;
protected:
    void _montecarlo(QVector<QVector<Cell> > & src, QVector<QVector<Cell> > & dest, bool boundaryPeriodic, QVector<struct CellLocation> & emptyCells);
public:    
    MonteCarlo();
    bool step(QVector<QVector<Cell> > & src, QVector<QVector<Cell> > & dest, bool boundaryPeriodic, QVector<struct CellLocation> & emptyCells);
};

#endif // MONTECARLO_H
